Tests on Rails - Error #599

Fail to create new questions
2011-12-07 00:27 - Emilio Gonzalez Montafa

Status: Resolved Start date: 2011-12-07
Priority: Normal Due date: 2011-12-07
Assignee: Emilio Gonzalez Montafia % Done: 100%

Category: Questions Estimated time: 0.00 hour

Target version: Tests on Rails v0.2

Source: Development Detected on version: Tests on Rails v0.1
Description

TypeError in Questions#new

Showing /Users/emilio/Documents/RoR/tests_on_rails/trunk/app/views/choices/_form.html.erb where 1i
ne #2 raised:

Choice can't be coerced into Fixnum
Extracted source (around line #2):
<div class="field">
2 <%= choice_label (choice) %>
4
check_box_tag("choices[#{choice.position}] [is_correct]", "1", choice.is_correct) %>
label_tag(t(:field_is_correct)) %><br />

8 text_area_tag("choices[#{choice.position}] [text]", choice.text, :rows => 1, :id => "cho
ces_#{choice.position}") %>

o
]
°
%
Trace of template inclusion: app/views/questions/_form.html.erb, app/views/questions/new.html.erb

Rails.root: /Users/emilio/Documents/RoR/tests_on_rails/trunk
Application Trace | Framework Trace | Full Trace

app/helpers/choices_helper.rb:4:in "choice_label'

app/views/choices/_form.html.erb:2:in °_app_views_choices__form_html_erb 620998956_2496933840"
app/views/questions/_form.html.erb:10:in °~_app_views_questions__form_html_erb 207477798_24962615
40"

app/views/questions/_form.html.erb:9:in ' _app_views_questions_ form_html_erb 207477798_249626154
Ol

app/views/questions/_form.html.erb:1:in ' _app_views_questions__ form_html_erb 207477798_249626154
Ol

app/views/questions/new.html.erb:7:in ' _app_views_qgquestions_new_html_erb_ 1866042324_2496730720"
app/controllers/questions_controller.rb:39:in “new'

Request

Parameters:
{"category_id"=>"0"}
Show session dump

Show env dump
Response

Headers:

None

Related issues:
Related to Tests on Rails - Feature #597: Questions edition and exam generation Resolved 2011-12-03 2011-12-06

2024-04-09 1/2




Associated revisions

Revision 1334 - 2011-12-07 00:29 - Emilio Gonzalez Montaha
#599

e Fix problem calling choices helper.

History

#1 - 2011-12-07 00:30 - Emilio Gonzalez Montafia
- Due date set to 2011-12-07

- Status changed from New to Resolved

- Assignee set to Emilio Gonzalez Montaha

- Start date set to 2011-12-07

- % Done changed from 0 to 100
